GELF_GETCLASS(3)

NAME
gelf_getclass - return the ELF class (32-bit or 64-bit) for an object

SYNOPSIS
#include <gelf.h>
int gelf_getclass(Elf *elf);

DESCRIPTION
gelf_getclass() returns the class of the ELF object referenced by elf. The class of a valid ELF file will be one of:

ELFCLASS32
    The object is a 32-bit ELF class.

ELFCLASS64
    The object is a 64-bit ELF class.

If elf does not denote a valid ELF object, or the class cannot be determined, ELFCLASSNONE is returned.

RETURN VALUE
Returns ELFCLASS32 or ELFCLASS64 on success. If elf is NULL or does not refer to a valid ELF binary with kind ELF_K_ELF, then ELFCLASSNONE is returned.

SEE ALSO
elf_kind(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-unsafe race

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.